# Generated by Django 4.0.3 on 2022-04-11 13:22

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('api', '0004_alter_extrainfo_rodzaj_recenzja'),
    ]

    operations = [
        migrations.AlterField(
            model_name='extrainfo',
            name='rodzaj',
            field=models.IntegerField(choices=[(4, 'Sci-fi'), (1, 'Horror'), (5, 'Thriller'), (2, 'Drama'), (3, 'Comedy'), (0, 'Unknown')], default=0),
        ),
        migrations.AlterField(
            model_name='recenzja',
            name='film',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='recenzje', to='api.film'),
        ),
        migrations.CreateModel(
            name='Aktor',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('imie', models.CharField(max_length=32)),
                ('nazwisko', models.CharField(max_length=32)),
                ('filmy', models.ManyToManyField(to='api.film')),
            ],
        ),
    ]
